blaze-html-0.4.3.1: A blazingly fast HTML combinator library for Haskell

Text.Blaze.Renderer.String

Description

A renderer that produces a native Haskell `String`, mostly meant for debugging purposes.

Synopsis

- fromChoiceString :: ChoiceString -> String -> String
- renderHtml :: Html -> String

# Documentation

fromChoiceString

Arguments

:: ChoiceString | String to render
-> String | String to append
-> String | Resulting string

Render a `ChoiceString`.

renderHtml

Arguments

:: Html | HTML to render
-> String | Resulting `String`

Render HTML to a lazy `String`.